Subject: Re: [PATCH] clone: in protocol v2, use remote's default branch

From: Junio C Hamano <[email-masked]>
Date: Fri, 11 Dec 2020 15:41:04 -0800

Jonathan Tan <[email-masked]> writes:

> When cloning an empty repository, a default branch is created. However,
> it is named after the locally configured init.defaultBranch, not the
> default branch of the remote repository.

The default branch of the remote repository and the current branch
pointed at by their HEAD in the remote repository can be different,
and we are interested in setting our HEAD to the latter.  So 

	..., not the current branch of the remote repository.

> To solve this, the remote needs to communicate the target of the HEAD
> symref, and "git clone" needs to use this information.

Yes.  That's a good change (I am on vacation today, so I won't be
reading the changes themselves today, but I agree with the intent
100%).

Thanks.